io.agora.rtc

## Class RtcStats

- java.lang.Object
- - io.agora.rtc.RtcStats

-     public class RtcStats
      extends java.lang.Object

  Statistics of RTC connection.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `connectionId` Connection ID
    `private int` | `connectTimeMs` Connection time (ms)
    `private double` | `cpuAppUsage` CPU app usage (%)
    `private double` | `cpuTotalUsage` CPU total usage (%)
    `private int` | `duration` Duration (s)
    `private int` | `firstAudioPacketDuration` First audio packet duration (ms)
    `private int` | `firstAudioPacketDurationAfterUnmute` First audio packet duration after unmute (ms)
    `private int` | `firstVideoKeyFrameDecodedDurationAfterUnmute` First video key frame decoded duration after unmute (ms)
    `private int` | `firstVideoKeyFramePacketDuration` First video key frame packet duration (ms)
    `private int` | `firstVideoKeyFramePacketDurationAfterUnmute` First video key frame packet duration after unmute (ms)
    `private int` | `firstVideoKeyFrameRenderedDurationAfterUnmute` First video key frame rendered duration after unmute (ms)
    `private int` | `firstVideoPacketDuration` First video packet duration (ms)
    `private int` | `firstVideoPacketDurationAfterUnmute` First video packet duration after unmute (ms)
    `private int` | `gatewayRtt` Gateway RTT (ms)
    `private short` | `lastmileDelay` Last-mile delay (ms)
    `private int` | `memoryAppUsageInKbytes` Memory app usage (KB)
    `private double` | `memoryAppUsageRatio` Memory app usage ratio (%)
    `private double` | `memoryTotalUsageRatio` Memory total usage ratio (%)
    `private int` | `packetsBeforeFirstKeyFramePacket` Packets before first key frame packet
    `private int` | `rxAudioBytes` Audio bytes received
    `private short` | `rxAudioKBitRate` Receive audio bitrate (Kbps)
    `private int` | `rxBytes` Total bytes received
    `private short` | `rxKBitRate` Receive bitrate (Kbps)
    `private int` | `rxPacketLossRate` Receive packet loss rate (%)
    `private int` | `rxVideoBytes` Video bytes received
    `private short` | `rxVideoKBitRate` Receive video bitrate (Kbps)
    `private int` | `txAudioBytes` Audio bytes sent
    `private short` | `txAudioKBitRate` Send audio bitrate (Kbps)
    `private int` | `txBytes` Total bytes sent
    `private short` | `txKBitRate` Send bitrate (Kbps)
    `private int` | `txPacketLossRate` Send packet loss rate (%)
    `private int` | `txVideoBytes` Video bytes sent
    `private short` | `txVideoKBitRate` Send video bitrate (Kbps)
    `private int` | `userCount` User count

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtcStats()` Default constructor for RtcStats.
    `RtcStats(int connectionId, int duration, int txBytes, int rxBytes, int txAudioBytes, int txVideoBytes, int rxAudioBytes, int rxVideoBytes, short txKBitRate, short rxKBitRate, short rxAudioKBitRate, short txAudioKBitRate, short rxVideoKBitRate, short txVideoKBitRate, short lastmileDelay, int userCount, double cpuAppUsage, double cpuTotalUsage, int gatewayRtt, double memoryAppUsageRatio, double memoryTotalUsageRatio, int memoryAppUsageInKbytes, int connectTimeMs, int firstAudioPacketDuration, int firstVideoPacketDuration, int firstVideoKeyFramePacketDuration, int packetsBeforeFirstKeyFramePacket, int firstAudioPacketDurationAfterUnmute, int firstVideoPacketDurationAfterUnmute, int firstVideoKeyFramePacketDurationAfterUnmute, int firstVideoKeyFrameDecodedDurationAfterUnmute, int firstVideoKeyFrameRenderedDurationAfterUnmute, int txPacketLossRate, int rxPacketLossRate)` Constructs RtcStats with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectionId()` Gets the connection ID.
    `int` | `getConnectTimeMs()` Gets the connection time (ms).
    `double` | `getCpuAppUsage()` Gets the CPU app usage (%).
    `double` | `getCpuTotalUsage()` Gets the CPU total usage (%).
    `int` | `getDuration()` Gets the duration (s).
    `int` | `getFirstAudioPacketDuration()` Gets the first audio packet duration (ms).
    `int` | `getFirstAudioPacketDurationAfterUnmute()` Gets the first audio packet duration after unmute (ms).
    `int` | `getFirstVideoKeyFrameDecodedDurationAfterUnmute()` Gets the first video key frame decoded duration after unmute (ms).
    `int` | `getFirstVideoKeyFramePacketDuration()` Gets the first video key frame packet duration (ms).
    `int` | `getFirstVideoKeyFramePacketDurationAfterUnmute()` Gets the first video key frame packet duration after unmute (ms).
    `int` | `getFirstVideoKeyFrameRenderedDurationAfterUnmute()` Gets the first video key frame rendered duration after unmute (ms).
    `int` | `getFirstVideoPacketDuration()` Gets the first video packet duration (ms).
    `int` | `getFirstVideoPacketDurationAfterUnmute()` Gets the first video packet duration after unmute (ms).
    `int` | `getGatewayRtt()` Gets the gateway RTT (ms).
    `short` | `getLastmileDelay()` Gets the last-mile delay (ms).
    `int` | `getMemoryAppUsageInKbytes()` Gets the memory app usage (KB).
    `double` | `getMemoryAppUsageRatio()` Gets the memory app usage ratio (%).
    `double` | `getMemoryTotalUsageRatio()` Gets the memory total usage ratio (%).
    `int` | `getPacketsBeforeFirstKeyFramePacket()` Gets the packets before first key frame packet.
    `int` | `getRxAudioBytes()` Gets the audio bytes received.
    `short` | `getRxAudioKBitRate()` Gets the receive audio bitrate (Kbps).
    `int` | `getRxBytes()` Gets the total bytes received.
    `short` | `getRxKBitRate()` Gets the receive bitrate (Kbps).
    `int` | `getRxPacketLossRate()` Gets the receive packet loss rate (%).
    `int` | `getRxVideoBytes()` Gets the video bytes received.
    `short` | `getRxVideoKBitRate()` Gets the receive video bitrate (Kbps).
    `int` | `getTxAudioBytes()` Gets the audio bytes sent.
    `short` | `getTxAudioKBitRate()` Gets the send audio bitrate (Kbps).
    `int` | `getTxBytes()` Gets the total bytes sent.
    `short` | `getTxKBitRate()` Gets the send bitrate (Kbps).
    `int` | `getTxPacketLossRate()` Gets the send packet loss rate (%).
    `int` | `getTxVideoBytes()` Gets the video bytes sent.
    `short` | `getTxVideoKBitRate()` Gets the send video bitrate (Kbps).
    `int` | `getUserCount()` Gets the user count.
    `void` | `setConnectionId(int connectionId)` Sets the connection ID.
    `void` | `setConnectTimeMs(int connectTimeMs)` Sets the connection time (ms).
    `void` | `setCpuAppUsage(double cpuAppUsage)` Sets the CPU app usage (%).
    `void` | `setCpuTotalUsage(double cpuTotalUsage)` Sets the CPU total usage (%).
    `void` | `setDuration(int duration)` Sets the duration (s).
    `void` | `setFirstAudioPacketDuration(int firstAudioPacketDuration)` Sets the first audio packet duration (ms).
    `void` | `setFirstAudioPacketDurationAfterUnmute(int firstAudioPacketDurationAfterUnmute)` Sets the first audio packet duration after unmute (ms).
    `void` | `setFirstVideoKeyFrameDecodedDurationAfterUnmute(int firstVideoKeyFrameDecodedDurationAfterUnmute)` Sets the first video key frame decoded duration after unmute (ms).
    `void` | `setFirstVideoKeyFramePacketDuration(int firstVideoKeyFramePacketDuration)` Sets the first video key frame packet duration (ms).
    `void` | `setFirstVideoKeyFramePacketDurationAfterUnmute(int firstVideoKeyFramePacketDurationAfterUnmute)` Sets the first video key frame packet duration after unmute (ms).
    `void` | `setFirstVideoKeyFrameRenderedDurationAfterUnmute(int firstVideoKeyFrameRenderedDurationAfterUnmute)` Sets the first video key frame rendered duration after unmute (ms).
    `void` | `setFirstVideoPacketDuration(int firstVideoPacketDuration)` Sets the first video packet duration (ms).
    `void` | `setFirstVideoPacketDurationAfterUnmute(int firstVideoPacketDurationAfterUnmute)` Sets the first video packet duration after unmute (ms).
    `void` | `setGatewayRtt(int gatewayRtt)` Sets the gateway RTT (ms).
    `void` | `setLastmileDelay(short lastmileDelay)` Sets the last-mile delay (ms).
    `void` | `setMemoryAppUsageInKbytes(int memoryAppUsageInKbytes)` Sets the memory app usage (KB).
    `void` | `setMemoryAppUsageRatio(double memoryAppUsageRatio)` Sets the memory app usage ratio (%).
    `void` | `setMemoryTotalUsageRatio(double memoryTotalUsageRatio)` Sets the memory total usage ratio (%).
    `void` | `setPacketsBeforeFirstKeyFramePacket(int packetsBeforeFirstKeyFramePacket)` Sets the packets before first key frame packet.
    `void` | `setRxAudioBytes(int rxAudioBytes)` Sets the audio bytes received.
    `void` | `setRxAudioKBitRate(short rxAudioKBitRate)` Sets the receive audio bitrate (Kbps).
    `void` | `setRxBytes(int rxBytes)` Sets the total bytes received.
    `void` | `setRxKBitRate(short rxKBitRate)` Sets the receive bitrate (Kbps).
    `void` | `setRxPacketLossRate(int rxPacketLossRate)` Sets the receive packet loss rate (%).
    `void` | `setRxVideoBytes(int rxVideoBytes)` Sets the video bytes received.
    `void` | `setRxVideoKBitRate(short rxVideoKBitRate)` Sets the receive video bitrate (Kbps).
    `void` | `setTxAudioBytes(int txAudioBytes)` Sets the audio bytes sent.
    `void` | `setTxAudioKBitRate(short txAudioKBitRate)` Sets the send audio bitrate (Kbps).
    `void` | `setTxBytes(int txBytes)` Sets the total bytes sent.
    `void` | `setTxKBitRate(short txKBitRate)` Sets the send bitrate (Kbps).
    `void` | `setTxPacketLossRate(int txPacketLossRate)` Sets the send packet loss rate (%).
    `void` | `setTxVideoBytes(int txVideoBytes)` Sets the video bytes sent.
    `void` | `setTxVideoKBitRate(short txVideoKBitRate)` Sets the send video bitrate (Kbps).
    `void` | `setUserCount(int userCount)` Sets the user count.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connectionId

          private int connectionId

      Connection ID

    - #### duration

          private int duration

      Duration (s)

    - #### txBytes

          private int txBytes

      Total bytes sent

    - #### rxBytes

          private int rxBytes

      Total bytes received

    - #### txAudioBytes

          private int txAudioBytes

      Audio bytes sent

    - #### txVideoBytes

          private int txVideoBytes

      Video bytes sent

    - #### rxAudioBytes

          private int rxAudioBytes

      Audio bytes received

    - #### rxVideoBytes

          private int rxVideoBytes

      Video bytes received

    - #### txKBitRate

          private short txKBitRate

      Send bitrate (Kbps)

    - #### rxKBitRate

          private short rxKBitRate

      Receive bitrate (Kbps)

    - #### rxAudioKBitRate

          private short rxAudioKBitRate

      Receive audio bitrate (Kbps)

    - #### txAudioKBitRate

          private short txAudioKBitRate

      Send audio bitrate (Kbps)

    - #### rxVideoKBitRate

          private short rxVideoKBitRate

      Receive video bitrate (Kbps)

    - #### txVideoKBitRate

          private short txVideoKBitRate

      Send video bitrate (Kbps)

    - #### lastmileDelay

          private short lastmileDelay

      Last-mile delay (ms)

    - #### userCount

          private int userCount

      User count

    - #### cpuAppUsage

          private double cpuAppUsage

      CPU app usage (%)

    - #### cpuTotalUsage

          private double cpuTotalUsage

      CPU total usage (%)

    - #### gatewayRtt

          private int gatewayRtt

      Gateway RTT (ms)

    - #### memoryAppUsageRatio

          private double memoryAppUsageRatio

      Memory app usage ratio (%)

    - #### memoryTotalUsageRatio

          private double memoryTotalUsageRatio

      Memory total usage ratio (%)

    - #### memoryAppUsageInKbytes

          private int memoryAppUsageInKbytes

      Memory app usage (KB)

    - #### connectTimeMs

          private int connectTimeMs

      Connection time (ms)

    - #### firstAudioPacketDuration

          private int firstAudioPacketDuration

      First audio packet duration (ms)

    - #### firstVideoPacketDuration

          private int firstVideoPacketDuration

      First video packet duration (ms)

    - #### firstVideoKeyFramePacketDuration

          private int firstVideoKeyFramePacketDuration

      First video key frame packet duration (ms)

    - #### packetsBeforeFirstKeyFramePacket

          private int packetsBeforeFirstKeyFramePacket

      Packets before first key frame packet

    - #### firstAudioPacketDurationAfterUnmute

          private int firstAudioPacketDurationAfterUnmute

      First audio packet duration after unmute (ms)

    - #### firstVideoPacketDurationAfterUnmute

          private int firstVideoPacketDurationAfterUnmute

      First video packet duration after unmute (ms)

    - #### firstVideoKeyFramePacketDurationAfterUnmute

          private int firstVideoKeyFramePacketDurationAfterUnmute

      First video key frame packet duration after unmute (ms)

    - #### firstVideoKeyFrameDecodedDurationAfterUnmute

          private int firstVideoKeyFrameDecodedDurationAfterUnmute

      First video key frame decoded duration after unmute (ms)

    - #### firstVideoKeyFrameRenderedDurationAfterUnmute

          private int firstVideoKeyFrameRenderedDurationAfterUnmute

      First video key frame rendered duration after unmute (ms)

    - #### txPacketLossRate

          private int txPacketLossRate

      Send packet loss rate (%)

    - #### rxPacketLossRate

          private int rxPacketLossRate

      Receive packet loss rate (%)

  - ### Constructor Detail

    - #### RtcStats

          public RtcStats()

      Default constructor for RtcStats.

    - #### RtcStats

          public RtcStats(int connectionId,
                          int duration,
                          int txBytes,
                          int rxBytes,
                          int txAudioBytes,
                          int txVideoBytes,
                          int rxAudioBytes,
                          int rxVideoBytes,
                          short txKBitRate,
                          short rxKBitRate,
                          short rxAudioKBitRate,
                          short txAudioKBitRate,
                          short rxVideoKBitRate,
                          short txVideoKBitRate,
                          short lastmileDelay,
                          int userCount,
                          double cpuAppUsage,
                          double cpuTotalUsage,
                          int gatewayRtt,
                          double memoryAppUsageRatio,
                          double memoryTotalUsageRatio,
                          int memoryAppUsageInKbytes,
                          int connectTimeMs,
                          int firstAudioPacketDuration,
                          int firstVideoPacketDuration,
                          int firstVideoKeyFramePacketDuration,
                          int packetsBeforeFirstKeyFramePacket,
                          int firstAudioPacketDurationAfterUnmute,
                          int firstVideoPacketDurationAfterUnmute,
                          int firstVideoKeyFramePacketDurationAfterUnmute,
                          int firstVideoKeyFrameDecodedDurationAfterUnmute,
                          int firstVideoKeyFrameRenderedDurationAfterUnmute,
                          int txPacketLossRate,
                          int rxPacketLossRate)

      Constructs RtcStats with all parameters.
      Parameters:
        `connectionId` - Connection ID
        `duration` - Duration (s)
        `txBytes` - Total bytes sent
        `rxBytes` - Total bytes received
        `txAudioBytes` - Audio bytes sent
        `txVideoBytes` - Video bytes sent
        `rxAudioBytes` - Audio bytes received
        `rxVideoBytes` - Video bytes received
        `txKBitRate` - Send bitrate (Kbps)
        `rxKBitRate` - Receive bitrate (Kbps)
        `rxAudioKBitRate` - Receive audio bitrate (Kbps)
        `txAudioKBitRate` - Send audio bitrate (Kbps)
        `rxVideoKBitRate` - Receive video bitrate (Kbps)
        `txVideoKBitRate` - Send video bitrate (Kbps)
        `lastmileDelay` - Last-mile delay (ms)
        `userCount` - User count
        `cpuAppUsage` - CPU app usage (%)
        `cpuTotalUsage` - CPU total usage (%)
        `gatewayRtt` - Gateway RTT (ms)
        `memoryAppUsageRatio` - Memory app usage ratio (%)
        `memoryTotalUsageRatio` - Memory total usage ratio (%)
        `memoryAppUsageInKbytes` - Memory app usage (KB)
        `connectTimeMs` - Connection time (ms)
        `firstAudioPacketDuration` - First audio packet duration (ms)
        `firstVideoPacketDuration` - First video packet duration (ms)
        `firstVideoKeyFramePacketDuration` - First video key frame packet duration (ms)
        `packetsBeforeFirstKeyFramePacket` - Packets before first key frame packet
        `firstAudioPacketDurationAfterUnmute` - First audio packet duration after unmute (ms)
        `firstVideoPacketDurationAfterUnmute` - First video packet duration after unmute (ms)
        `firstVideoKeyFramePacketDurationAfterUnmute` - First video key frame packet duration after unmute (ms)
        `firstVideoKeyFrameDecodedDurationAfterUnmute` - First video key frame decoded duration after unmute (ms)
        `firstVideoKeyFrameRenderedDurationAfterUnmute` - First video key frame rendered duration after unmute (ms)
        `txPacketLossRate` - Send packet loss rate (%)
        `rxPacketLossRate` - Receive packet loss rate (%)

  - ### Method Detail

    - #### getConnectionId

          public int getConnectionId()

      Gets the connection ID.
      Returns:
        Connection ID

    - #### setConnectionId

          public void setConnectionId(int connectionId)

      Sets the connection ID.
      Parameters:
        `connectionId` - Connection ID

    - #### getDuration

          public int getDuration()

      Gets the duration (s).
      Returns:
        Duration (s)

    - #### setDuration

          public void setDuration(int duration)

      Sets the duration (s).
      Parameters:
        `duration` - Duration (s)

    - #### getTxBytes

          public int getTxBytes()

      Gets the total bytes sent.
      Returns:
        Total bytes sent

    - #### setTxBytes

          public void setTxBytes(int txBytes)

      Sets the total bytes sent.
      Parameters:
        `txBytes` - Total bytes sent

    - #### getRxBytes

          public int getRxBytes()

      Gets the total bytes received.
      Returns:
        Total bytes received

    - #### setRxBytes

          public void setRxBytes(int rxBytes)

      Sets the total bytes received.
      Parameters:
        `rxBytes` - Total bytes received

    - #### getTxAudioBytes

          public int getTxAudioBytes()

      Gets the audio bytes sent.
      Returns:
        Audio bytes sent

    - #### setTxAudioBytes

          public void setTxAudioBytes(int txAudioBytes)

      Sets the audio bytes sent.
      Parameters:
        `txAudioBytes` - Audio bytes sent

    - #### getTxVideoBytes

          public int getTxVideoBytes()

      Gets the video bytes sent.
      Returns:
        Video bytes sent

    - #### setTxVideoBytes

          public void setTxVideoBytes(int txVideoBytes)

      Sets the video bytes sent.
      Parameters:
        `txVideoBytes` - Video bytes sent

    - #### getRxAudioBytes

          public int getRxAudioBytes()

      Gets the audio bytes received.
      Returns:
        Audio bytes received

    - #### setRxAudioBytes

          public void setRxAudioBytes(int rxAudioBytes)

      Sets the audio bytes received.
      Parameters:
        `rxAudioBytes` - Audio bytes received

    - #### getRxVideoBytes

          public int getRxVideoBytes()

      Gets the video bytes received.
      Returns:
        Video bytes received

    - #### setRxVideoBytes

          public void setRxVideoBytes(int rxVideoBytes)

      Sets the video bytes received.
      Parameters:
        `rxVideoBytes` - Video bytes received

    - #### getTxKBitRate

          public short getTxKBitRate()

      Gets the send bitrate (Kbps).
      Returns:
        Send bitrate (Kbps)

    - #### setTxKBitRate

          public void setTxKBitRate(short txKBitRate)

      Sets the send bitrate (Kbps).
      Parameters:
        `txKBitRate` - Send bitrate (Kbps)

    - #### getRxKBitRate

          public short getRxKBitRate()

      Gets the receive bitrate (Kbps).
      Returns:
        Receive bitrate (Kbps)

    - #### setRxKBitRate

          public void setRxKBitRate(short rxKBitRate)

      Sets the receive bitrate (Kbps).
      Parameters:
        `rxKBitRate` - Receive bitrate (Kbps)

    - #### getRxAudioKBitRate

          public short getRxAudioKBitRate()

      Gets the receive audio bitrate (Kbps).
      Returns:
        Receive audio bitrate (Kbps)

    - #### setRxAudioKBitRate

          public void setRxAudioKBitRate(short rxAudioKBitRate)

      Sets the receive audio bitrate (Kbps).
      Parameters:
        `rxAudioKBitRate` - Receive audio bitrate (Kbps)

    - #### getTxAudioKBitRate

          public short getTxAudioKBitRate()

      Gets the send audio bitrate (Kbps).
      Returns:
        Send audio bitrate (Kbps)

    - #### setTxAudioKBitRate

          public void setTxAudioKBitRate(short txAudioKBitRate)

      Sets the send audio bitrate (Kbps).
      Parameters:
        `txAudioKBitRate` - Send audio bitrate (Kbps)

    - #### getRxVideoKBitRate

          public short getRxVideoKBitRate()

      Gets the receive video bitrate (Kbps).
      Returns:
        Receive video bitrate (Kbps)

    - #### setRxVideoKBitRate

          public void setRxVideoKBitRate(short rxVideoKBitRate)

      Sets the receive video bitrate (Kbps).
      Parameters:
        `rxVideoKBitRate` - Receive video bitrate (Kbps)

    - #### getTxVideoKBitRate

          public short getTxVideoKBitRate()

      Gets the send video bitrate (Kbps).
      Returns:
        Send video bitrate (Kbps)

    - #### setTxVideoKBitRate

          public void setTxVideoKBitRate(short txVideoKBitRate)

      Sets the send video bitrate (Kbps).
      Parameters:
        `txVideoKBitRate` - Send video bitrate (Kbps)

    - #### getLastmileDelay

          public short getLastmileDelay()

      Gets the last-mile delay (ms).
      Returns:
        Last-mile delay (ms)

    - #### setLastmileDelay

          public void setLastmileDelay(short lastmileDelay)

      Sets the last-mile delay (ms).
      Parameters:
        `lastmileDelay` - Last-mile delay (ms)

    - #### getUserCount

          public int getUserCount()

      Gets the user count.
      Returns:
        User count

    - #### setUserCount

          public void setUserCount(int userCount)

      Sets the user count.
      Parameters:
        `userCount` - User count

    - #### getCpuAppUsage

          public double getCpuAppUsage()

      Gets the CPU app usage (%).
      Returns:
        CPU app usage (%)

    - #### setCpuAppUsage

          public void setCpuAppUsage(double cpuAppUsage)

      Sets the CPU app usage (%).
      Parameters:
        `cpuAppUsage` - CPU app usage (%)

    - #### getCpuTotalUsage

          public double getCpuTotalUsage()

      Gets the CPU total usage (%).
      Returns:
        CPU total usage (%)

    - #### setCpuTotalUsage

          public void setCpuTotalUsage(double cpuTotalUsage)

      Sets the CPU total usage (%).
      Parameters:
        `cpuTotalUsage` - CPU total usage (%)

    - #### getGatewayRtt

          public int getGatewayRtt()

      Gets the gateway RTT (ms).
      Returns:
        Gateway RTT (ms)

    - #### setGatewayRtt

          public void setGatewayRtt(int gatewayRtt)

      Sets the gateway RTT (ms).
      Parameters:
        `gatewayRtt` - Gateway RTT (ms)

    - #### getMemoryAppUsageRatio

          public double getMemoryAppUsageRatio()

      Gets the memory app usage ratio (%).
      Returns:
        Memory app usage ratio (%)

    - #### setMemoryAppUsageRatio

          public void setMemoryAppUsageRatio(double memoryAppUsageRatio)

      Sets the memory app usage ratio (%).
      Parameters:
        `memoryAppUsageRatio` - Memory app usage ratio (%)

    - #### getMemoryTotalUsageRatio

          public double getMemoryTotalUsageRatio()

      Gets the memory total usage ratio (%).
      Returns:
        Memory total usage ratio (%)

    - #### setMemoryTotalUsageRatio

          public void setMemoryTotalUsageRatio(double memoryTotalUsageRatio)

      Sets the memory total usage ratio (%).
      Parameters:
        `memoryTotalUsageRatio` - Memory total usage ratio (%)

    - #### getMemoryAppUsageInKbytes

          public int getMemoryAppUsageInKbytes()

      Gets the memory app usage (KB).
      Returns:
        Memory app usage (KB)

    - #### setMemoryAppUsageInKbytes

          public void setMemoryAppUsageInKbytes(int memoryAppUsageInKbytes)

      Sets the memory app usage (KB).
      Parameters:
        `memoryAppUsageInKbytes` - Memory app usage (KB)

    - #### getConnectTimeMs

          public int getConnectTimeMs()

      Gets the connection time (ms).
      Returns:
        Connection time (ms)

    - #### setConnectTimeMs

          public void setConnectTimeMs(int connectTimeMs)

      Sets the connection time (ms).
      Parameters:
        `connectTimeMs` - Connection time (ms)

    - #### getFirstAudioPacketDuration

          public int getFirstAudioPacketDuration()

      Gets the first audio packet duration (ms).
      Returns:
        First audio packet duration (ms)

    - #### setFirstAudioPacketDuration

          public void setFirstAudioPacketDuration(int firstAudioPacketDuration)

      Sets the first audio packet duration (ms).
      Parameters:
        `firstAudioPacketDuration` - First audio packet duration (ms)

    - #### getFirstVideoPacketDuration

          public int getFirstVideoPacketDuration()

      Gets the first video packet duration (ms).
      Returns:
        First video packet duration (ms)

    - #### setFirstVideoPacketDuration

          public void setFirstVideoPacketDuration(int firstVideoPacketDuration)

      Sets the first video packet duration (ms).
      Parameters:
        `firstVideoPacketDuration` - First video packet duration (ms)

    - #### getFirstVideoKeyFramePacketDuration

          public int getFirstVideoKeyFramePacketDuration()

      Gets the first video key frame packet duration (ms).
      Returns:
        First video key frame packet duration (ms)

    - #### setFirstVideoKeyFramePacketDuration

          public void setFirstVideoKeyFramePacketDuration(int firstVideoKeyFramePacketDuration)

      Sets the first video key frame packet duration (ms).
      Parameters:
        `firstVideoKeyFramePacketDuration` - First video key frame packet duration (ms)

    - #### getPacketsBeforeFirstKeyFramePacket

          public int getPacketsBeforeFirstKeyFramePacket()

      Gets the packets before first key frame packet.
      Returns:
        Packets before first key frame packet

    - #### setPacketsBeforeFirstKeyFramePacket

          public void setPacketsBeforeFirstKeyFramePacket(int packetsBeforeFirstKeyFramePacket)

      Sets the packets before first key frame packet.
      Parameters:
        `packetsBeforeFirstKeyFramePacket` - Packets before first key frame packet

    - #### getFirstAudioPacketDurationAfterUnmute

          public int getFirstAudioPacketDurationAfterUnmute()

      Gets the first audio packet duration after unmute (ms).
      Returns:
        First audio packet duration after unmute (ms)

    - #### setFirstAudioPacketDurationAfterUnmute

          public void setFirstAudioPacketDurationAfterUnmute(int firstAudioPacketDurationAfterUnmute)

      Sets the first audio packet duration after unmute (ms).
      Parameters:
        `firstAudioPacketDurationAfterUnmute` - First audio packet duration after unmute (ms)

    - #### getFirstVideoPacketDurationAfterUnmute

          public int getFirstVideoPacketDurationAfterUnmute()

      Gets the first video packet duration after unmute (ms).
      Returns:
        First video packet duration after unmute (ms)

    - #### setFirstVideoPacketDurationAfterUnmute

          public void setFirstVideoPacketDurationAfterUnmute(int firstVideoPacketDurationAfterUnmute)

      Sets the first video packet duration after unmute (ms).
      Parameters:
        `firstVideoPacketDurationAfterUnmute` - First video packet duration after unmute (ms)

    - #### getFirstVideoKeyFramePacketDurationAfterUnmute

          public int getFirstVideoKeyFramePacketDurationAfterUnmute()

      Gets the first video key frame packet duration after unmute (ms).
      Returns:
        First video key frame packet duration after unmute (ms)

    - #### setFirstVideoKeyFramePacketDurationAfterUnmute

          public void setFirstVideoKeyFramePacketDurationAfterUnmute(int firstVideoKeyFramePacketDurationAfterUnmute)

      Sets the first video key frame packet duration after unmute (ms).
      Parameters:
        `firstVideoKeyFramePacketDurationAfterUnmute` - First video key frame packet duration after unmute (ms)

    - #### getFirstVideoKeyFrameDecodedDurationAfterUnmute

          public int getFirstVideoKeyFrameDecodedDurationAfterUnmute()

      Gets the first video key frame decoded duration after unmute (ms).
      Returns:
        First video key frame decoded duration after unmute (ms)

    - #### setFirstVideoKeyFrameDecodedDurationAfterUnmute

          public void setFirstVideoKeyFrameDecodedDurationAfterUnmute(int firstVideoKeyFrameDecodedDurationAfterUnmute)

      Sets the first video key frame decoded duration after unmute (ms).
      Parameters:
        `firstVideoKeyFrameDecodedDurationAfterUnmute` - First video key frame decoded duration after unmute (ms)

    - #### getFirstVideoKeyFrameRenderedDurationAfterUnmute

          public int getFirstVideoKeyFrameRenderedDurationAfterUnmute()

      Gets the first video key frame rendered duration after unmute (ms).
      Returns:
        First video key frame rendered duration after unmute (ms)

    - #### setFirstVideoKeyFrameRenderedDurationAfterUnmute

          public void setFirstVideoKeyFrameRenderedDurationAfterUnmute(int firstVideoKeyFrameRenderedDurationAfterUnmute)

      Sets the first video key frame rendered duration after unmute (ms).
      Parameters:
        `firstVideoKeyFrameRenderedDurationAfterUnmute` - First video key frame rendered duration after unmute (ms)

    - #### getTxPacketLossRate

          public int getTxPacketLossRate()

      Gets the send packet loss rate (%).
      Returns:
        Send packet loss rate (%)

    - #### setTxPacketLossRate

          public void setTxPacketLossRate(int txPacketLossRate)

      Sets the send packet loss rate (%).
      Parameters:
        `txPacketLossRate` - Send packet loss rate (%)

    - #### getRxPacketLossRate

          public int getRxPacketLossRate()

      Gets the receive packet loss rate (%).
      Returns:
        Receive packet loss rate (%)

    - #### setRxPacketLossRate

          public void setRxPacketLossRate(int rxPacketLossRate)

      Sets the receive packet loss rate (%).
      Parameters:
        `rxPacketLossRate` - Receive packet loss rate (%)